VERSION 5.00
Object = "{F9043C88-F6F2-101A-A3C9-08002B2F49FB}#1.2#0"; "COMDLG32.OCX"
Begin VB.Form frmOptions 
   BorderStyle     =   1  'Fixed Single
   Caption         =   "D++ Options"
   ClientHeight    =   3735
   ClientLeft      =   5490
   ClientTop       =   3600
   ClientWidth     =   4710
   Icon            =   "frmOptions.frx":0000
   LinkTopic       =   "Form1"
   MaxButton       =   0   'False
   MinButton       =   0   'False
   ScaleHeight     =   3735
   ScaleWidth      =   4710
   ShowInTaskbar   =   0   'False
   StartUpPosition =   2  'CenterScreen
   Begin VB.CheckBox chkAutoLine 
      Caption         =   "Disable AutoLine"
      Height          =   195
      Left            =   120
      TabIndex        =   12
      Top             =   2760
      Width           =   1695
   End
   Begin MSComDlg.CommonDialog CommonDialog1 
      Left            =   120
      Top             =   3240
      _ExtentX        =   847
      _ExtentY        =   847
      _Version        =   393216
   End
   Begin VB.Frame Frame1 
      Caption         =   "Default Save/Open Location"
      Height          =   660
      Left            =   120
      TabIndex        =   9
      Top             =   1440
      Width           =   4455
      Begin VB.CommandButton cmdBrowse 
         Caption         =   "..."
         Height          =   255
         Index           =   1
         Left            =   4080
         TabIndex        =   11
         Top             =   240
         Width           =   255
      End
      Begin VB.TextBox txtPath 
         Height          =   285
         Index           =   1
         Left            =   120
         TabIndex        =   10
         Top             =   240
         Width           =   3855
      End
   End
   Begin VB.CheckBox chkEncrypt 
      Caption         =   "Encrypt EXE"
      Height          =   195
      Left            =   120
      TabIndex        =   5
      Top             =   2280
      Width           =   1215
   End
   Begin VB.CheckBox chkDecompile 
      Caption         =   "Prevent Decompile"
      Height          =   195
      Left            =   120
      TabIndex        =   4
      Top             =   2520
      Width           =   1695
   End
   Begin VB.Frame Frame3 
      Caption         =   "Default Run Location"
      Height          =   615
      Left            =   120
      TabIndex        =   3
      Top             =   720
      Width           =   4455
      Begin VB.TextBox txtPath 
         Height          =   285
         Index           =   0
         Left            =   120
         TabIndex        =   15
         Top             =   240
         Width           =   3855
      End
      Begin VB.CommandButton cmdBrowse 
         Caption         =   "..."
         Height          =   255
         Index           =   0
         Left            =   4080
         TabIndex        =   14
         Top             =   240
         Width           =   255
      End
   End
   Begin VB.CommandButton cmdCancel 
      Caption         =   "Cancel"
      Height          =   375
      Left            =   2280
      TabIndex        =   2
      Top             =   3240
      Width           =   1095
   End
   Begin VB.CommandButton cmdApply 
      Caption         =   "Apply"
      Enabled         =   0   'False
      Height          =   375
      Left            =   3480
      TabIndex        =   1
      Top             =   3240
      Width           =   1095
   End
   Begin VB.CommandButton cmdOk 
      Caption         =   "OK"
      Default         =   -1  'True
      Height          =   375
      Left            =   1080
      TabIndex        =   0
      Top             =   3240
      Width           =   1095
   End
   Begin VB.Label lblAutoLine 
      AutoSize        =   -1  'True
      Caption         =   "Info"
      BeginProperty Font 
         Name            =   "MS Sans Serif"
         Size            =   8.25
         Charset         =   0
         Weight          =   700
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      Height          =   195
      Left            =   2520
      TabIndex        =   13
      ToolTipText     =   "What's EXE Encrypting?"
      Top             =   2760
      Width           =   345
   End
   Begin VB.Label lblInfo 
      Caption         =   "Note: These options are global to your system and will affect               D++ IDE if it is installed."
      Height          =   495
      Left            =   120
      TabIndex        =   8
      Top             =   120
      Width           =   4455
   End
   Begin VB.Label lblEncrypt 
      AutoSize        =   -1  'True
      Caption         =   "Info"
      BeginProperty Font 
         Name            =   "MS Sans Serif"
         Size            =   8.25
         Charset         =   0
         Weight          =   700
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      Height          =   195
      Left            =   2520
      TabIndex        =   7
      ToolTipText     =   "What's EXE Encrypting?"
      Top             =   2280
      Width           =   345
   End
   Begin VB.Label lblDecompile 
      AutoSize        =   -1  'True
      Caption         =   "Info"
      BeginProperty Font 
         Name            =   "MS Sans Serif"
         Size            =   8.25
         Charset         =   0
         Weight          =   700
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      Height          =   195
      Left            =   2520
      TabIndex        =   6
      ToolTipText     =   "What's EXE Encrypting?"
      Top             =   2520
      Width           =   345
   End
End
Attribute VB_Name = "frmOptions"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Dim loaded As Boolean

Private Sub chkAutoLine_Click()
If loaded Then cmdApply.Enabled = True
End Sub

Private Sub chkDecompile_Click()
If loaded Then cmdApply.Enabled = True
End Sub

Private Sub chkEncrypt_Click()
If loaded Then cmdApply.Enabled = True
End Sub

Private Sub lblInfo_MouseDown(Button As Integer, Shift As Integer, X As Single, Y As Single)
    If Shift = 1 And optionFlag Then
        MsgBox getOptionKey
    End If
End Sub

Private Sub txtPath_Change(Index As Integer)
If loaded Then cmdApply.Enabled = True
End Sub

Private Sub cmdBrowse_Click(Index As Integer)
    On Local Error Resume Next
    sTempDir = CurDir
    CommonDialog1.DialogTitle = "Select a Directory"
    CommonDialog1.InitDir = txtPath(Index).Text
    CommonDialog1.fileName = "Select a Directory"
    CommonDialog1.Flags = cdlOFNNoValidate + cdlOFNHideReadOnly
    CommonDialog1.Filter = "Folders|*.~#!"
    CommonDialog1.CancelError = True
    CommonDialog1.ShowSave

    If Err <> 32755 Then _
        txtPath(Index).Text = CurDir
End Sub

Private Sub cmdCancel_Click()
Unload Me
End Sub

Private Sub cmdOk_Click()
If ApplySettings = 0 Then Unload Me
End Sub

Private Sub cmdApply_Click()
cmdApply.Enabled = False
ApplySettings
End Sub

Private Sub Form_Load()
GetSettings
End Sub

Function ApplySettings() As Integer
On Error Resume Next

If chkEncrypt.Value = 1 Then SaveSetting "D++", "Options", "Encrypt", "DPP:$D2>:"
If chkEncrypt.Value = 0 Then SaveSetting "D++", "Options", "Encrypt", "DPP:"

If chkDecompile.Value = 1 Then SaveSetting "D++", "Options", "Decompile", "-1"
If chkDecompile.Value = 0 Then SaveSetting "D++", "Options", "Decompile", "0"

If chkAutoLine.Value = 1 Then SaveSetting "D++", "Options", "AutoLine", 0
If chkAutoLine.Value = 0 Then SaveSetting "D++", "Options", "AutoLine", 1

If Not DirExist(txtPath(0).Text) Then
    MsgBox "Error: The specified directory for the run location does not exist.  You must specify a valid folder.", vbExclamation, "Error"
    txtPath(0).SetFocus
    ApplySettings = 1
    Exit Function
ElseIf Not DirExist(txtPath(1).Text) Then
    MsgBox "Error: The specified directory for the save/open location does not exist.  You must specify a valid folder.", vbExclamation, "Error"
    txtPath(1).SetFocus
    ApplySettings = 1
    Exit Function
End If

SaveSetting "D++", "Options", "RunAt", txtPath(0).Text
SaveSetting "D++", "Options", "WorkPath", txtPath(1).Text

End Function

Sub GetSettings()
On Error Resume Next
loaded = False

If GetSetting("D++", "Options", "Encrypt", "DPP:$D2>:") = "DPP:$D2>:" Then chkEncrypt.Value = 1
If GetSetting("D++", "Options", "Encrypt") = "DPP:" Then chkEncrypt.Value = 0

If GetSetting("D++", "Options", "Debugging", 0) = "0" Then chkDebug.Value = 1
If GetSetting("D++", "Options", "Debugging") = "-1" Then chkDebug.Value = 0

If GetSetting("D++", "Options", "Decompile", -1) = "-1" Then chkDecompile.Value = 1
If GetSetting("D++", "Options", "Decompile") = "0" Then chkDecompile.Value = 0

If GetSetting("D++", "Options", "AutoLine", 1) = 1 Then chkAutoLine.Value = 0
If GetSetting("D++", "Options", "AutoLine") = 0 Then chkAutoLine.Value = 1

txtPath(0).Text = GetSetting("D++", "Options", "RunAt")
txtPath(1).Text = GetSetting("D++", "Options", "WorkPath")
If txtPath(1).Text = "" Then txtPath(1).Text = AppPath

loaded = True
End Sub

Private Sub lblAutoLine_Click()
MsgBox "Information on AutoLine:" & vbCrLf & vbCrLf & "AutoLine is a feature in D++ SDE that jumps your cursor to the appropriate spacing position for the next line.  This greatly aids programming as it's a very handy and can be a good timesaver.  If you are having problems with AutoLine, or it is taking too much time when you press enter, then you can disable it.  AutoLine is recommended.", vbInformation, "AutoLine"
End Sub

Private Sub lblDecompile_Click()
MsgBox "Information on Preventing Decompile:" & vbCrLf & vbCrLf & "D++ IDE has the ability to open an EXE and read the source, or decompile.  When you compile your application, the IDE can easily reopen this.  By preventing decompiling, the IDE will not be able to open your application, leaving your source code secure.  Preventing decompile is not recommended.", vbInformation, "Prevent Decompile"
End Sub

Private Sub lblEncrypt_Click()
MsgBox "Information on EXE Encrypting:" & vbCrLf & vbCrLf & "Encrypting your application is a security option.  The source code is encrypted with a quick algorithm before the application is compiled.  This way, no external programs outside the IDE, such as Notepad, will be able to view your source, keeping it secure. EXE Encrypting is recommended.", vbInformation, "EXE Encrypting"
End Sub

Public Function DirExist(ByVal fileName As String) As Boolean
    'Determines if a directory exists
    On Error Resume Next
    If Dir(fileName, vbSystem + vbHidden + vbDirectory) = "" Then
        DirExist = False
    Else
        DirExist = True
    End If
End Function

